{ Teste interativo de comandos do MCI }
{ Autor: José Antonio Borges }
{ Em 5/2/98 }

{$M 12000, 0}

uses
    dvcrt, dvwin,
    winprocs, wintypes, strings, mmsystem;

var
    comando, retorno: array [0..150] of char;
    s: string;
    erro: longint;

label fim;

begin
     writeln;
     sintInic (0, '');
     while true do
     begin
         sintWriteln ('Entre comando MCI');
         sintReadln (s);
         if s = '' then goto fim;

         strPCopy (comando, s);
         erro := mciSendString(comando, retorno, 80, 0);
         if erro <> 0 then
             begin
                 mciGetErrorString(erro, retorno, 80);
                 sintWriteln (strPas (retorno));
             end
         else
             if strLen (retorno) <> 0 then
                 sintWriteln ('retorno ' + strPas(retorno));
     end;

fim:
     sintfim;
     doneWinCrt;
end.
